<html><head>
	<title>Javascript</title>
</head>
<body>

<script>

	
	
	/*
	int somar(int a , int b){
		return a+b ; 
	}
	
	void helloWorld(String nome){
		
	}
	
	*//*
	function somar(a , b){
		return a+b ; 
	}
	function helloWorld(nome){
		
		return alert(nome);
		
	}
	var y = '1'  ; 

	var x = helloWorld("Daniel Seja bem-vindo!!!!!");
	alert(x);
	var a = somar('Daniel','Santiago') ; 
	alert(a);
		*/
		/*
		
		var a = '1' ; 
		
		if(a === 1 ) {
			alert('Verdade') ; 
		}else{ 
			alert('Falso') ; 
		}
		
		*/
		
		function hello(){
			
				alert('OI!');
			
		}
		
		function escrever(texto){
			var areaTexto = document.getElementById('meuTexto');
	areaTexto.innerHTML = areaTexto.innerHTML + '<br />' + texto;
			console.log(areaTexto);
		}
		
		function printTexto(){
			
			var input = document.getElementById('txtTexto');
			var paragrafo = document.getElementById('meuTexto') ; 
			var texto = input.value ; 
			if(texto.trim() != ""){
				paragrafo.innerHTML += texto + '<br/>';
			}else{
				alert('Campo Obrigatorio !!!!')
			}
			
			
			input.value = "" ; 
			
		}
		
		
		function gerarTabela(){
			
			var input = document.getElementById('txtTexto');
			var linhas = input.value ; 
			var body = document.body ; 
			body.innerHTML += '<table border="1" id="tabela">';
			var tabela = document.getElementById('tabela') ; 
			for(var i = 0 ; i < linhas ; i++){
				tabela.innerHTML += '<tr><td>' + (i+1) +'</td> <td>Daniel</td> <td>Santiago</td>  </tr>';
			}
			
			body.innerHTML += '</table>';
			
		}
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		

</script>

<input type="text" id="txtTexto" ></input>

<input type="button" onclick="escrever('Edson');" value="vai!" />

<input type="button" onclick="printTexto();" value="Print !" />

<input type="button" onclick="gerarTabela();" value="Gerar Tabela !" />

<p id="meuTexto" > </p>	

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	







</body></html>
